Light mode version of Land Your Home
V1Properties

Get Property

GET
/v1/properties/{propertyId}

Happy path: a property the user owns or is a party on a transaction for.

Required variables:

  • baseUrl
  • apiKey
  • userToken
  • propertyId (set by Get Properties)

Authorization

bearerAuth userTokenAuth
AuthorizationBearer <token>

Partner API key (lyh_...): identifies the calling partner, its scopes and rate limit.

In: header

X-User-Token<token>

The user's OAuth 2.1 access token, issued by Land Your Home's OAuth server to this partner's OAuth client. Requests run as this user.

In: header

Path Parameters

propertyId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/properties/string"
{  "data": {    "id": "1aade797-824c-4d04-961a-9e407e8e1fc4",    "updatedAt": "2026-10-02T08:36:26.062403+00:00",    "saleState": "for-sale-no-offers",    "ownershipType": "free-hold",    "address": {      "line1": "78 OAK STREET",      "line2": "",      "city": "BIRMINGHAM",      "region": "WEST MIDLANDS",      "postcode": "B13 9LR",      "country": "GB"    },    "listing": {      "amount": 630614,      "currency": "GBP",      "agent": "DESIGNIBL Estate Agents",      "url": null    },    "yourOwnership": {      "since": "2006-06-15T00:00:00+00:00",      "until": null,      "type": null    },    "listings": [      {        "amount": 630614,        "currency": "GBP",        "agent": "DESIGNIBL Estate Agents",        "url": null      }    ],    "transactions": [      {        "id": "cdcb83f0-2258-43c5-82ab-0f4f58018900",        "saleState": "off-market",        "chainId": "3876d6a9-bc6e-4225-b459-b4c480f982fd"      }    ]  }}